<%@ WebHandler Language="VB" Class="Handler" %>

'this is an HTTPHandler which is a cleaner way of having the codebehind portion
'without the overhead of a full web page. It will just do the processing for you.

'HTTPHandlers are easier to create in VS2005 than they were in VS2003, using the
'template called "Generic Template"

Imports System
Imports System.Web
Imports System.Data.SqlClient

Public Class Handler : Implements IHttpHandler, IRequiresSessionState
    
    Public Sub ProcessRequest(ByVal context As HttpContext) Implements IHttpHandler.ProcessRequest
        Dim inkStringArray() As String
        Dim inkData As String
        'this pulls the string of ink data out of the hidden value on the previous page
        inkStringArray = context.Request.Form.GetValues("InkDataASCII")
        'since GetValues returns an array, we just want the first
        'item in the array. That's our inkdata
        inkData = inkStringArray(0)
        'now you can connect to your database and insert the string
        'the following code stores the data into a table named "InkData" that has
        'a char field named "chardata" and an ID field that is auto-incrementing
        
        'This is just an idea of how to get the data INTO your db
        'see my Peristing Ink on the Web article for further details
        '        http://msdn.microsoft.com/mobility/tabletpc/default.aspx?pull=/library/en-us/dntablet/html/tbconInkWebPers.asp#tbconinkwebpersistence_sqlstoreretrieve
        
        Dim conn As New SqlConnection("server=MYSERVER;Trusted_Connection=True;Database=myDB")
        Dim comm As New SqlCommand("INSERT INTO inkdata(chardata) VALUES('" + inkData + "' )", conn)
        conn.Open()
        comm.ExecuteNonQuery()
        conn.Close()
        ' Store the ink data into session for the next page to retrieve.
        context.Session("ReturnInkData") = inkData
        'now go back to the page we came from
        context.Server.Transfer(context.Request.UrlReferrer.LocalPath)
        'note that when you post back, you will need to get the ink back out of the session
        'and back onto the page if you want to see it still. The above referenced
        'article explains how to do that.
    End Sub
 
    Public ReadOnly Property IsReusable() As Boolean Implements IHttpHandler.IsReusable
        Get
            Return False
        End Get
    End Property

End Class